Subject: Re: bug#15076: 24.3.50; Syntax highlighting in the octave-mode

From: Ivan Oreshnikov <[email-masked]>
Date: Sat, 28 Sep 2013 12:31:37 +0400

> > I use a color theme that assigns a different background color for
> > syntastic elements and I've noticed that empty space gets highlighted
> > with a builtin face (see screenshot in attachment). Is there a way to
> > fix that?

> Doesn't look like to a bug in emacs. Consider reporting it to the color
> theme maker.

My description was not clear enough, sorry for that.

The problem is in the octave-mode's parser -- it hightlights the entire
scope of a function with the `font-lock-builtin-face`. It was introduced
in the new version of octave-mode, which merged old `octave-mod` and
`octave-inf` together. The color theme that I use just makes this error
evident.

Ivan.